Bug 479798 - Review Request: perl-Test-HTTP-Server-Simple-StashWarnings - Catch your forked server's warnings
Review Request: perl-Test-HTTP-Server-Simple-StashWarnings - Catch your fork...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 00:54 EST by Ralf Corsepius
Modified: 2010-06-18 12:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-22 23:46:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2009-01-13 00:54:16 EST
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Test-HTTP-Server-Simple-StashWarnings.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Test-HTTP-Server-Simple-StashWarnings-0.03-1.fc11.src.rpm
Description:
Warnings are an important part of any application. Your web application should warn the user when something is amiss.

This module lets you retrieve the warnings that your forked server throws. That way you can test that your application continues to throw warnings when it makes sense. Catching the warnings also keeps your test output tidy. Finally, you'll be able to see when your application throws new, unexpected warnings.


Note: This package is a new dependency of rt3, introduced in rt3-3.8.2
Comment 1 Parag AN(पराग) 2009-01-13 03:08:55 EST
+ OK
- Need Work

Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1048832
+ rpmlint is silent for SRPM
+ rpmlint is NOT silent for RPM.
perl-Test-HTTP-Server-Simple-StashWarnings.noarch: W: filename-too-long-for-joliet perl-Test-HTTP-Server-Simple-StashWarnings-0.03-1.fc11.noarch.rpm
==>This filename is too long to fit on a joliet filesystem (limit is 64 unicode
chars).

+ source files match upstream url
0a63b8f45217f05611717292b7ec02e5  Test-HTTP-Server-Simple-StashWarnings-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=8,  1 wallclock secs ( 0.01 usr  0.00 sys +  0.25 cusr  0.03 csys =  0.29 CPU)
+ Package perl-Test-HTTP-Server-Simple-StashWarnings-0.03-1.fc11 =>
  Provides:
  perl(Test::HTTP::Server::Simple::StashWarnings) = 0.03
  Requires:
  perl >= 0:5.008
  perl(NEXT)
  perl(Storable)
  perl(base)
  perl(strict)
  perl(warnings)

APPROVED.
Comment 2 Ralf Corsepius 2009-01-13 05:11:12 EST
New Package CVS Request
=======================
Package Name: perl-Test-HTTP-Server-Simple-StashWarnings
Short Description: Catch your forked server's warnings
Owners: corsepiu
Branches: F-10 F-9
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-01-13 15:42:12 EST
cvs done.
Comment 4 Ralf Corsepius 2009-01-14 00:47:26 EST
Kevin, you seem to have missed my request for F-9

New Package CVS Request
=======================
Package Name: perl-Test-HTTP-Server-Simple-StashWarnings
Short Description: Catch your forked server's warnings
Owners: corsepiu
Branches: F-9
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-01-14 01:00:24 EST
Sorry about that. ;( 

Should be done now.
Comment 6 Parag AN(पराग) 2009-01-29 05:24:22 EST
is this built?
Comment 7 Ralf Corsepius 2009-01-29 08:59:46 EST
Yes.
Comment 8 Parag AN(पराग) 2009-02-22 23:46:42 EST
Ok then will close this review.
Comment 9 Mark Chappell 2010-06-18 11:39:41 EDT
corsepiu is listed as not interested in EPEL


Package Change Request
======================
Package Name: perl-Test-HTTP-Server-Simple-StashWarnings
New Branches: EL-6
Owners: tremble
Comment 10 Jason Tibbitts 2010-06-18 12:13:23 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.